Installation (AWS PowerShell)

From vWiki
Jump to navigation Jump to search

If installing into Windows you must perform this in PowerShell Core (not Windows PowerShell, see Installation (PowerShell Core) for further info). Installing the AWSPowerShell.NetCore module requires an elevated admin session in Windows, or sudo/root in Linux.

Install-Module AWSLambdaPSCore -Scope CurrentUser
Install-Module AWSPowerShell.NetCore

Then to load the AWS PowerShell Cmd-Lets into the current session use the following...

Import-Module AWSPowerShell.NetCore

Setup .NET Core

Only required if you want to create Lambda functions using PowerShell Core. The .NET Core 2.1 SDK is necessary for you to be able to deploy PowerShell scripts to Lambda as .NET Core packages. Installation varies between OS distributions, go to https://www.microsoft.com/net/download and follow the appropriate instructions to install .NET Core SDK.

Note that for Linux it is likely that you have already added the Microsoft repository and key to system in order to be able to install PowerShell Core, for example to install on Ubuntu 16.04 LTS, perform the following...

apt install dotnet-sdk-2.1